# 48. Zapytanie: pobierz dane siatkowe z "TopographyMap"

Zapytanie o pobranie danych źródłowych z rastrowego zestawu danych związanego z "TopographyMap" jako `GEOJSON`  z punktami lub `GEOTIFF`. Atrybut properties zawiera wszystkie pochodne topograficzne (takie jak dem, nachylenie, wysokość względna, chropowatość, ekspozycja, hillshade itp.) dla każdego punktu.&#x20;

#### 1. Zażądaj pliku do eksportu

{% hint style="danger" %}
Zaleca się pobieranie tylko jednego zestawu danych z `sourceDataUrl` na żądanie.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, oraz `MinusTwoPixels` są dostępne jako `bufor`.

`GEOJSON` i `GEOTIFF` są dostępne jako format.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromTopographyMap {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      topographyMaps(topographyMapUuids: ["<placeholder_of_topography_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Pobierz wygenerowany plik

Po pomyślnym przygotowaniu pliku można go pobrać używając `curl` lub podobnego podejścia.

{% hint style="danger" %}
`sourceDataUrl` link jest dostępny tylko przez **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/48.-zapytanie-pobierz-dane-siatkowe-z-topographymap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
